/*******************************************************************
 *
 *	File:		CConsoleEditor.h
 *
 *	Author:		Peter van Sebille (peter@yipton.demon.co.uk)
 *
 *	(c) Copyright 2001, Peter van Sebille
 *	All Rights Reserved
 *
 *******************************************************************/

#ifndef __CCONSOLE_EDITOR_H
#define __CCONSOLE_EDITOR_H

#include <e32cons.h>

class CConsoleEditor : public CBase
{
public:
	static CConsoleEditor* CConsoleEditor::NewL(CConsoleBase* aConsole);
	void EditLine(const TDesC& aPrompt, TDes& aString);

protected:
	CConsoleEditor(CConsoleBase* aConsole) : iConsole(aConsole){}
	void ConstructL();

	TBool			iOverWrite;
	TPoint			iHome;
	TInt			iMaxText;
	TSize			iScreenSize;
	CConsoleBase*	iConsole;
};


#endif
